summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2015-08-14 06:58:42 +0200
committerHans de Graaff <graaff@gentoo.org>2015-08-14 08:35:29 +0200
commit5221f39951adff1d9310bc9fe880de92297da04e (patch)
treecd6cde3e01339bd67d89dcfc7fd7725e2dfe92c2 /dev-ruby
parentdev-ruby/bson: version bump (diff)
downloadgentoo-5221f39951adff1d9310bc9fe880de92297da04e.tar.gz
gentoo-5221f39951adff1d9310bc9fe880de92297da04e.tar.bz2
gentoo-5221f39951adff1d9310bc9fe880de92297da04e.zip
dev-ruby/bundler: cleanup
Package-Manager: portage-2.2.20.1
Diffstat (limited to 'dev-ruby')
-rw-r--r--dev-ruby/bundler/Manifest1
-rw-r--r--dev-ruby/bundler/bundler-1.9.9.ebuild69
2 files changed, 0 insertions, 70 deletions
diff --git a/dev-ruby/bundler/Manifest b/dev-ruby/bundler/Manifest
index 43937f8d798..c06262d7117 100644
--- a/dev-ruby/bundler/Manifest
+++ b/dev-ruby/bundler/Manifest
@@ -1,4 +1,3 @@
DIST bundler-1.7.13.gem 307200 SHA256 a3c7f6fa006c62c88acd21655eaa31dd6731cdd5a77b826be23f9d17e728e78b SHA512 36dfd314172d1de9c91c7e7c3b8938c2225e61cb6e33d08710c1f644d9cf8e08cdda34997ce15bc204b9b53332b25c52e09d23c58788d42bd2a676efc075cd7a WHIRLPOOL fcb45ee78009466772e58a3567be5a65e25fc8aee3224e91b9baea3f20c923bea2e11d4e53a9ab1cb246860a1705ec15618105902756372e672c8a3780687a68
DIST bundler-1.8.9.tar.gz 290462 SHA256 9ecbe18147b990e8c5c7f299e9bc7b63eb274f54b05134ad334e0abeb943f733 SHA512 2e3378e2c329c53eb6e578b496e1fb332c4f96eca58299e59dd8cb7f5d3b78f43bc6bf96c452cbeb99a0459c016a824248f907b58dcc2081490e4f59ea7a32ba WHIRLPOOL 887a72075093405dd5c94902865589e4946d70f1cc390725e8ae35f6a36cdc2bdd05b9c27958a5c2497d6f42011791c2432f15ab45e1ccbc8c7f0d7da37799c9
DIST bundler-1.9.10.tar.gz 301546 SHA256 ea56d906a96f14ffb8ebd3bd5f35ebb4389901be10c8470f6741d6567f16f844 SHA512 0cd05ae67543c5993d2e33cc9287dc375703cda3250de3556442ae513825b200d534640a9232806b1c4bdec192937de2b40d54563030d9aff8f7727f349a7b17 WHIRLPOOL ac2a118bd85d5b6c9ef2819dec95c6580c769a4985429fd959cffc0e0a6be1f6e37106b2d713e42c360dd19761b71f93dbf519f68fd5bcda0ffb09f97e5eff89
-DIST bundler-1.9.9.tar.gz 301352 SHA256 ddbb3d90a2053a3ed833b66fe3c839ef2c0d7e6326cc522bfa7e2c98ece8d421 SHA512 d34929c4200290850642574c8a5ba3ce03589511173a19d57eaa48d68e8345963a9494c9ba7b89a5b0ec55b22222a260ad6b5564a07286a62a59fe761468384f WHIRLPOOL a3887a32a546371439144bd8f227a06f5b625bf2046da3b06c4d500abb350c5c72d6a278355b61ceed5d8044b3c0c4e0dfc6750e57288a9af5d97236a7f27a5d
diff --git a/dev-ruby/bundler/bundler-1.9.9.ebuild b/dev-ruby/bundler/bundler-1.9.9.ebuild
deleted file mode 100644
index 724f6ce4866..00000000000
--- a/dev-ruby/bundler/bundler-1.9.9.ebuild
+++ /dev/null
@@ -1,69 +0,0 @@
-# Copyright 1999-2015 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI=5
-
-USE_RUBY="ruby19 ruby20 ruby21 ruby22"
-
-#RUBY_FAKEGEM_RECIPE_TEST="rspec3"
-
-# No documentation task
-RUBY_FAKEGEM_TASK_DOC=""
-RUBY_FAKEGEM_EXTRADOC="README.md CHANGELOG.md ISSUES.md UPGRADING.md"
-
-RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
-
-inherit ruby-fakegem
-
-DESCRIPTION="An easy way to vendor gem dependencies"
-HOMEPAGE="https://github.com/carlhuda/bundler"
-SRC_URI="https://github.com/carlhuda/bundler/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
-IUSE="doc test"
-
-ruby_add_rdepend virtual/rubygems
-
-ruby_add_bdepend "doc? ( app-text/ronn )"
-
-# ruby_add_bdepend "test? ( app-text/ronn )"
-
-# The specs require a number of gems to be installed in a temporary
-# directory, but this requires network access. All tests should still
-# pass with network access.
-RESTRICT="test"
-
-RDEPEND+=" dev-vcs/git"
-
-all_ruby_prepare() {
- # Bundler only supports running the specs from git:
- # https://github.com/carlhuda/bundler/issues/issue/738
- sed -i -e '/when Bundler is bundled/,/^ end/ s:^:#:' spec/runtime/setup_spec.rb || die
-
- # Fails randomly and no clear cause can be found. Might be related
- # to bug 346357. This was broken in previous releases without a
- # failing spec, so patch out this spec for now since it is not a
- # regression.
- sed -i -e '/works when you bundle exec bundle/,/^ end/ s:^:#:' spec/install/deploy_spec.rb || die
-
- # Remove unneeded git dependency from gemspec, which we need to use
- # for bug 491826
- sed -i -e '/files/ s:^:#:' ${RUBY_FAKEGEM_GEMSPEC} || die
-
- # Avoid specs that are not compatible with all rspec versions.
- sed -e '/has no malformed whitespace/,/^ end/ s:^:#:' \
- -e '/uses double-quotes consistently/,/^ end/ s:^:#:' \
- -i spec/quality_spec.rb || die
-
- # Avoid spec failing with git 2.0.
- sed -i -e '/on releasing/,/^ end/ s:^:#:' spec/bundler/gem_helper_spec.rb || die
-}
-
-each_ruby_compile() {
- if use doc ; then
- ${RUBY} -S rake man:build || die
- fi
-}